---
suite: will-it-scale
testcase: will-it-scale
category: benchmark
nr_task: 100%
will-it-scale:
  mode: thread
  test: open3
job_origin: will-it-scale-part2.yaml
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-spr-2sp4
tbox_group: lkp-spr-2sp4
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp4/will-it-scale-performance-thread-100%-open3-debian-12-x86_64-20240206.cgz-b8decf0015a8-20240731-501070-187yzsu-2.yaml"
id: 8f6715f2200166b19b8ebd03862a3eda8870d0e6
queuer_version: "/zday/lkp"
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 512G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6ef1b014
brand: Intel(R) Xeon(R) Platinum 8480CTDX
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0
cpufreq_governor: performance
sanity-check:
commit: b8decf0015a8b1ff02cdac61c0aa54355d8e73d7
ucode: '0x2b0004b1'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-07-31 03:04:06.566418771 +08:00
_rt: "/result/will-it-scale/performance-thread-100%-open3/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/b8decf0015a8b1ff02cdac61c0aa54355d8e73d7"
compiler: gcc-13
head_commit: 0ead5384898a35f48877462cb2869df236505564
base_commit: 0c3836482481200ead7b416ca80c68a29cfdaabd
branch: linux-devel/devel-hourly-20240725-160509
rootfs: debian-12-x86_64-20240206.cgz
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240730-165003"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/will-it-scale/performance-thread-100%-open3/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/b8decf0015a8b1ff02cdac61c0aa54355d8e73d7/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-13/b8decf0015a8b1ff02cdac61c0aa54355d8e73d7/vmlinuz-6.10.0-rc6-00157-gb8decf0015a8
- branch=linux-devel/devel-hourly-20240725-160509
- job=/lkp/jobs/scheduled/lkp-spr-2sp4/will-it-scale-performance-thread-100%-open3-debian-12-x86_64-20240206.cgz-b8decf0015a8-20240731-501070-187yzsu-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=b8decf0015a8b1ff02cdac61c0aa54355d8e73d7
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x6ef1b014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-13/b8decf0015a8b1ff02cdac61c0aa54355d8e73d7/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/will-it-scale_20240224.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/will-it-scale-x86_64-75f66e4-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp4/will-it-scale-performance-thread-100%-open3-debian-12-x86_64-20240206.cgz-b8decf0015a8-20240731-501070-187yzsu-2.cgz"
last_kernel: 5.9.0-2-amd64
acpi_rsdp: '0x6ef1b014'
repeat_to: 3
bad_samples:
- 3994
- 3937
- 4197
good_samples:
- 3480
- 3615
- 3475

#! queue options

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-13/b8decf0015a8b1ff02cdac61c0aa54355d8e73d7/vmlinuz-6.10.0-rc6-00157-gb8decf0015a8"
result_root: "/result/will-it-scale/performance-thread-100%-open3/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/b8decf0015a8b1ff02cdac61c0aa54355d8e73d7/0"

#! schedule options

#! /db/releases/20240730235109/lkp-src/include/site/inn
dequeue_time: 2024-07-31 04:07:48.510745144 +08:00
job_state: finished
loadavg: 54.55 107.43 56.80 1/1971 17240
start_time: '1722370164'
end_time: '1722370466'
version: "/lkp/lkp/.src-20240730-165003:c370978a790f:b922e540c2cb"
